package additions

import (
	"fmt"
	"testing"
)

func TestSystemLinux(t *testing.T) {

	// Retrieve new system for testin
	sys, err := NewSystem()
	if err != nil {
		t.Errorf("NewSystem fails with : %s", err)
	}

	osVersion, err := sys.GetSoftwareVersion()

	if err != nil {
		t.Errorf("GetSoftwareVersion failed with: %s", err)
	}

	fmt.Printf("GetSoftwareVersion result is %s\n", osVersion)
}
